Subject: less 3.32 and RPC
From: [email-masked] ("Micheal A. Benzinger")

8 Aug 1997 20:20:02 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: QUALCOMM Windows Eudora Pro Version 3.0.3 (32)
Original-To: [email-masked]
Original-Sender: [email-masked]

Hi all,

Some time ago someone mentioned that the search characters
"/" and "?" did not work with less.  I don't know why it
doesn't work but I do have a solution.  I used the regexp.c
that is in the distribution and the search started working.
It would appear that the RegExp implementation found in the
Cygnus Beta 18 distribution does not work correctly.  I do
not have the source so I cannot verify this.  To make the
change, edit the Makefile once the software has been con-
figured and add "regexp.${O}" to the OBJ variable and remake.

The one problem that still remains, however, is if there is
a line that must screen wrap, then the search will be off by
one line.  Using the "-S" option to chop long lines doesn't
help either.

The other thing, has anybody ported or know of a port of
RPC for GNU-Win32?  Is it possible to port this or does
this require modifications to the Cygnus DLL or worse need
more cooperation from Windows?  Any information on this
would be appreciated.  I know that DCE threads or pthreads
are also necessary for this.  I am not sure if this can
be ported either.

Regards,

Mike Benzinger

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".